Class | URI::HTTP
In: | uri/http.rb
Parent: | Generic

RFC1738 section 3.3.

### Methods

build new request_uri

### Constants

DEFAULT_PORT | = | 80
COMPONENT | = | [ :scheme, :userinfo, :host, :port, :path, :query, :fragment

### Public Class methods

build(args)

## Description

Create a new URI::HTTP object from components of URI::HTTP with check. It is scheme, userinfo, host, port, path, query and fragment. It provided by an Array of a Hash.

[Source]

    # File uri/http.rb, line 34
        def self.build(args)
          tmp = Util::make_components_hash(self, args)
          return super(tmp)
        end

new(*arg)

## Description

Create a new URI::HTTP object from ``generic’’ components with no check.

[Source]

    # File uri/http.rb, line 45
        def initialize(*arg)
          super(*arg)
        end

### Public Instance methods

request_uri()

## Description

Returns: path + ’?’ + query

[Source]

    # File uri/http.rb, line 54
        def request_uri
          r = path_query
          if r[0] != ?/
            r = '/' + r
          end

          r
        end

[Validate]